
QGIS Application - Feature request #3280

The freehand and polygon selection tools select all features within the bounding box of the shape

2010-12-01 05:05 AM - Borys Jurgiel

Status: Closed

Priority: Low

Assignee: Jeremy Palmer

Category: Map Canvas

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 13340

Description

The new freehand and polygon selection tools select all features intersected by the bounding box of the sketched shape, not by the shape

itself. See the screenshot. The bug is present in 1.6 and Trunk.

History

#1 - 2010-12-01 02:54 PM - Jeremy Palmer

Did you hold down on the shift key when using the tool? Works for me on win32.

#2 - 2010-12-01 03:02 PM - Borys Jurgiel

Yes, the "contain" mode works well. The "intersect" mode seems to be only implemented in the rectangle selection, am I right?

#3 - 2010-12-01 03:48 PM - Jeremy Palmer

Haha sorry, I didn't read the description correctly! I have attached a patch that fixes the issue.

#4 - 2010-12-02 12:47 AM - Borys Jurgiel

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:16f326f0 (SVN r14827). Thanks!
